from wxPython.wx import *

from Thuban.UI.graph import *

class PointDensityGram(Graph):

    def __init__(self, parent, data=None):
        Graph.__init__(self, parent,400,20)
        if len(data)>0:
            mxd = max(data)
            mnd = min(data)
            self.data = [ (d-mnd)/(mxd-mnd) for d in data ]
        else:
            self.data = [data]

    def refresh(self, dc):
        dc.SetPen(wxPen(wxBLACK,1))
        self.draw_rect(dc, (0.0,0.0),(1.0,1.0))
        for d in self.data:
            self.draw_line(dc, d,0.0,d,1.0 )

